Package com.ocient.jdbc.proto

# Class PlanProtocol.WindowOperator

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.WindowOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.WindowOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.WindowOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.WindowOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.WindowOperator`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.WindowOperator.Builder` | Protobuf type `xg.db.sqlPlans.WindowOperator`
`static class` | `PlanProtocol.WindowOperator.WindowOp` | Protobuf enum `xg.db.sqlPlans.WindowOperator.WindowOp`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTFLOATARGS_FIELD_NUMBER` |
`static int` | `CONSTINTARGS_FIELD_NUMBER` |
`static int` | `DIRECTIONS_FIELD_NUMBER` |
`static int` | `FRAMES_FIELD_NUMBER` |
`static int` | `INPUTCOLS_FIELD_NUMBER` |
`static int` | `LIMIT1_FIELD_NUMBER` |
`static int` | `NULLS_FIRST_FIELD_NUMBER` |
`static int` | `OPS_FIELD_NUMBER` |
`static int` | `OUTPUTCOLS_FIELD_NUMBER` |
`static int` | `OUTPUTCOLSTYPES_FIELD_NUMBER` |
`static int` | `PARTITIONING_COLS_FIELD_NUMBER` |
`static int` | `SORTKEYS_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`double` | `getConstFloatArgs​(int index)` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`int` | `getConstFloatArgsCount()` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`List<Double>` | `getConstFloatArgsList()` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`long` | `getConstIntArgs​(int index)` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`int` | `getConstIntArgsCount()` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`List<Long>` | `getConstIntArgsList()` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`static PlanProtocol.WindowOperator` | `getDefaultInstance()` |
`PlanProtocol.WindowOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`boolean` | `getDirections​(int index)` | The directions for each sort col - true = ascending
`int` | `getDirectionsCount()` | The directions for each sort col - true = ascending
`List<Boolean>` | `getDirectionsList()` | The directions for each sort col - true = ascending
`PlanProtocol.FrameSpec` | `getFrames​(int index)` | The frame specification for each op, in the same order
`int` | `getFramesCount()` | The frame specification for each op, in the same order
`List<PlanProtocol.FrameSpec>` | `getFramesList()` | The frame specification for each op, in the same order
`PlanProtocol.FrameSpecOrBuilder` | `getFramesOrBuilder​(int index)` | The frame specification for each op, in the same order
`List<? extends PlanProtocol.FrameSpecOrBuilder>` | `getFramesOrBuilderList()` | The frame specification for each op, in the same order

`String`

`getInputCols​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`com.google.protobuf.ByteString`

`getInputColsBytes​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`int`

`getInputColsCount()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`com.google.protobuf.ProtocolStringList`

`getInputColsList()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`boolean` | `getLimit1()` | Is there an immediate following limit 1?
`boolean` | `getNullsFirst​(int index)` | `repeated bool nulls_first = 12;`
`int` | `getNullsFirstCount()` | `repeated bool nulls_first = 12;`
`List<Boolean>` | `getNullsFirstList()` | `repeated bool nulls_first = 12;`
`PlanProtocol.WindowOperator.WindowOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.WindowOperator.WindowOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`com.google.protobuf.Parser<PlanProtocol.WindowOperator>` | `getParserForType()` |
`String` | `getPartitioningCols​(int index)` | Partitioning columns
`com.google.protobuf.ByteString` | `getPartitioningColsBytes​(int index)` | Partitioning columns
`int` | `getPartitioningColsCount()` | Partitioning columns
`com.google.protobuf.ProtocolStringList` | `getPartitioningColsList()` | Partitioning columns
`int` | `getSerializedSize()` |
`String` | `getSortKeys​(int index)` | The sort columns - already includes partitioning cols if any
`com.google.protobuf.ByteString` | `getSortKeysBytes​(int index)` | The sort columns - already includes partitioning cols if any
`int` | `getSortKeysCount()` | The sort columns - already includes partitioning cols if any
`com.google.protobuf.ProtocolStringList` | `getSortKeysList()` | The sort columns - already includes partitioning cols if any
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static PlanProtocol.WindowOperator.Builder` | `newBuilder()` |
`static PlanProtocol.WindowOperator.Builder` | `newBuilder​(PlanProtocol.WindowOperator prototype)` |
`PlanProtocol.WindowOperator.Builder` | `newBuilderForType()` |
`protected PlanProtocol.WindowOperator.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.WindowOperator` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.WindowOperator` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(byte[] data)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(InputStream input)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.WindowOperator` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.WindowOperator>` | `parser()` |
`PlanProtocol.WindowOperator.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### PARTITIONING_COLS_FIELD_NUMBER

public static final int PARTITIONING_COLS_FIELD_NUMBER

See Also:
  Constant Field Values

### SORTKEYS_FIELD_NUMBER

public static final int SORTKEYS_FIELD_NUMBER

See Also:
  Constant Field Values

### DIRECTIONS_FIELD_NUMBER

public static final int DIRECTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

### OPS_FIELD_NUMBER

public static final int OPS_FIELD_NUMBER

See Also:
  Constant Field Values

### INPUTCOLS_FIELD_NUMBER

public static final int INPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

### OUTPUTCOLS_FIELD_NUMBER

public static final int OUTPUTCOLS_FIELD_NUMBER

See Also:
  Constant Field Values

### OUTPUTCOLSTYPES_FIELD_NUMBER

public static final int OUTPUTCOLSTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

### FRAMES_FIELD_NUMBER

public static final int FRAMES_FIELD_NUMBER

See Also:
  Constant Field Values

### CONSTINTARGS_FIELD_NUMBER

public static final int CONSTINTARGS_FIELD_NUMBER

See Also:
  Constant Field Values

### CONSTFLOATARGS_FIELD_NUMBER

public static final int CONSTFLOATARGS_FIELD_NUMBER

See Also:
  Constant Field Values

### LIMIT1_FIELD_NUMBER

public static final int LIMIT1_FIELD_NUMBER

See Also:
  Constant Field Values

### NULLS_FIRST_FIELD_NUMBER

public static final int NULLS_FIRST_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getPartitioningColsList

public com.google.protobuf.ProtocolStringList getPartitioningColsList()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningColsCount

public int getPartitioningColsCount()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningCols

public String getPartitioningCols​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningColsBytes

public com.google.protobuf.ByteString getPartitioningColsBytes​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeysList

public com.google.protobuf.ProtocolStringList getSortKeysList()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeysCount

public int getSortKeysCount()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeys

public String getSortKeys​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeys` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeysBytes

public com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getDirectionsList

public List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirectionsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getDirectionsCount

public int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirectionsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getDirections

public boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirections` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsList

public List<PlanProtocol.WindowOperator.WindowOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsCount

public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOps

public PlanProtocol.WindowOperator.WindowOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOps` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsValueList

public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsValue

public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputColsList

public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputColsCount

public int getInputColsCount()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputCols

public String getInputCols​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputColsBytes

public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsList

public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsCount

public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputCols

public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsBytes

public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypesList

public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypesCount

public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypes

public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypesBytes

public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesList

public List<PlanProtocol.FrameSpec> getFramesList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesOrBuilderList

public List<? extends PlanProtocol.FrameSpecOrBuilder> getFramesOrBuilderList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesOrBuilderList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesCount

public int getFramesCount()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFrames

public PlanProtocol.FrameSpec getFrames​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFrames` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesOrBuilder

public PlanProtocol.FrameSpecOrBuilder getFramesOrBuilder​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesOrBuilder` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstIntArgsList

public List<Long> getConstIntArgsList()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstIntArgsCount

public int getConstIntArgsCount()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstIntArgs

public long getConstIntArgs​(int index)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgs` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstFloatArgsList

public List<Double> getConstFloatArgsList()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstFloatArgsCount

public int getConstFloatArgsCount()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstFloatArgs

public double getConstFloatArgs​(int index)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgs` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getLimit1

public boolean getLimit1()

    Is there an immediate following limit 1?

`bool limit1 = 11;`

Specified by:
  `getLimit1` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getNullsFirstList

public List<Boolean> getNullsFirstList()
`repeated bool nulls_first = 12;`

Specified by:
  `getNullsFirstList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getNullsFirstCount

public int getNullsFirstCount()
`repeated bool nulls_first = 12;`

Specified by:
  `getNullsFirstCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getNullsFirst

public boolean getNullsFirst​(int index)
`repeated bool nulls_first = 12;`

Specified by:
  `getNullsFirst` in interface `PlanProtocol.WindowOperatorOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.WindowOperator parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.WindowOperator parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.WindowOperator parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.WindowOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.WindowOperator.Builder newBuilder()

### newBuilder

public static PlanProtocol.WindowOperator.Builder newBuilder​(PlanProtocol.WindowOperator prototype)

### toBuilder

public PlanProtocol.WindowOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.WindowOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.WindowOperator getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.WindowOperator> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.WindowOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.WindowOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`